# SocketCondition

Implements \Condition

<socket> condition container.

Tests for a (tcp) listener on a specified host and port

author | Michiel Rook mrook@php.net
package | phing.tasks.system.condition

### Methods

## evaluate

    evaluate() : boolean

throws |

### Response

`boolean`

## setPort

    setPort(integer $port)

### Arguments

#### $port

`integer`

## setServer

    setServer(string $server)

### Arguments

#### $server

`string`

### Properties

## server

    server : string

var |

### Type(s)

`string`

## port

    port : integer

var |

### Type(s)

`integer`